<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard</title>
        <script src="//code.jquery.com/jquery-3.3.1.min.js"></script>
        <!--<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/1.3.6/socket.io.min.js"></script>-->
        <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T" crossorigin="anonymous"></script>

        <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/1.3.6/socket.io.min.js"></script>

        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">

        <script src="/static/js/utility.js"></script>
        <script src="/static/js/tasks_dashboard.js"></script>
        <script src="/static/js/index.js"></script>

        <style type="text/css">
            #alerts_container {
                position: fixed;
                top: 0;
                left: 0;
                width: 100%;
                z-index: 2;
            }

            .slider {
                -webkit-appearance: none;
                width: 100%;
                height: 15px;
                border-radius: 5px;
                background: #d3d3d3;
                outline: none;
                opacity: 0.7;
                -webkit-transition: .2s;
                transition: opacity .2s;
            }

            .slider:hover {
                opacity: 1;
            }

            .slider::-webkit-slider-thumb {
                -webkit-appearance: none;
                appearance: none;
                width: 25px;
                height: 25px;
                border-radius: 50%;
                background: #4CAF50;
                cursor: pointer;
            }

            .slider::-moz-range-thumb {
                width: 25px;
                height: 25px;
                border-radius: 50%;
                background: #4CAF50;
                cursor: pointer;
            }

            @media (min-width: 1200px) {
                .container {
                    max-width: 100%;
                    width: 95%;
                }

                .modal-dialog {
                    max-width: 70%;
                }
            }
        </style>
    </head>
    <body>
        <div id='alerts_container'>
        </div>

        <div class="container mx-auto"> <!--  style="background-color: red" -->
            <h1>Robotic Cell info</h1>
            <button class='btn btn-default btn-md' type='button' id="serialize_btn">Save current Status</button>
            <button class='btn btn-default btn-md' type='button' id="deserialize_btn">Load previous Status</button>
            <div class="row">
                <div class="col-lg-2" id="robot_list_container">
                    <h3>Robots</h3>
                    <ol>
                        {% for robot in robotic_cell['robots'] %}
                            <li>
                                <a href="#" onclick="showDetailsRobot(event, '{{robot['robot_id']}}')">{{robot['robot_id']}}</a>
                            </li>
                        {% endfor %}
                    </ol>
                    <!-- Trigger the modal with the first 2 buttons -->
                    <button class='btn btn-info btn-sm' type='button' data-target='#addRobotModal' data-toggle='modal'>Add</button>
                    <button class='btn btn-info btn-sm' type='button' id='modify_robot_btn' value='' disabled='disabled' data-target='#modifyRobotModal' data-toggle='modal'>Modify</button>
                    <button class='btn btn-info btn-sm' type='button' id='delete_robot_btn' value='' disabled='disabled'>Delete</button>
                </div>
                <div class="container col-lg-10" id="robot_container">
                    <!-- Content generated completely by the function resetPanels() in index.js -->
                </div>


                <!-- Modal+Form for Adding a Robot -->
                <div class="modal fade" id="addRobotModal" role="dialog">
                    <div class="modal-dialog">
                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Add New Robot</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form id="add_robot_form" action="#">
                                    <div class="form-group">
                                        <label for="add_robot_id">Robot ID:</label>
                                        <input type="text" class="form-control" id="add_robot_id" placeholder="name_brand_model" name="add_robot_id">
                                    </div>
                                    <div class="form-group">
                                        <label for="add_host">Host:</label>
                                        <input type="text" class="form-control" id="add_host" placeholder="169.254.165.133" name="host">
                                    </div>
                                    <div class="form-group">
                                        <label for="add_port">Port:</label>
                                        <input type="text" class="form-control" id="add_port" placeholder="5007" name="port">
                                    </div>
                                    <button type="submit" class="btn btn-default">Submit</button>
                                    <button type="reset" class="btn btn-default">Reset</button>
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Modal -->

                <!-- Modal+Form for Adding a Robot -->
                <div class="modal fade" id="modifyRobotModal" role="dialog">
                    <div class="modal-dialog">
                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Modify Robot</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form id="mdf_robot_form" action="#">
                                    <div class="form-group">
                                        <label for="mdf_robot_id">Robot ID:</label>
                                        <input type="text" class="form-control" id="mdf_robot_id" name="robot_id">
                                    </div>
                                    <div class="form-group">
                                        <label for="mdf_host">Host:</label>
                                        <input type="text" class="form-control" id="mdf_host" name="host">
                                    </div>
                                    <div class="form-group">
                                        <label for="mdf_port">Port:</label>
                                        <input type="text" class="form-control" id="mdf_port" name="port">
                                    </div>
                                    <button type="submit" class="btn btn-default">Submit</button>
                                    <button type="reset" class="btn btn-default">Reset</button>
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Modal -->

                <!-- Modal+Form for Defining a new Task -->
                <div class="modal fade" id="defineTaskModal" role="dialog">
                    <div class="modal-dialog">
                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Define New Task</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <form id="define_task_form" action="#">
                                    <div class="form-group row">
                                        <label for="new_task_name" class="col-form-label col-lg-3">Task Type:</label>
                                        <select class="form-control col-lg-6" id="new_task_type" name="new_task_type">
                                            <option value="do_nothing">Do Nothing</option>
                                            <option value="pick_and_place">Pick & Place</option>
                                            <option value="custom">Custom</option>
                                        </select>
                                    </div>
                                    <div class="form-group row">
                                        <label for="new_task_name" class="col-form-label col-lg-3">Task Name:</label>
                                        <input type="text" class="form-control col-lg-6" id="new_task_name" placeholder="" name="new_task_name">
                                    </div>
                                    <div class="form-group row">
                                        <label for="new_task_repetitions" class="col-form-label col-lg-3">Repetitions:</label>
                                        <input type="text" class="form-control col-lg-2" id="new_task_repetitions" value="1" name="new_task_repetitions">
                                        <label for="new_task_delay" class="col-form-label offset-lg-1 col-lg-3">Delay (ms): </label>
                                        <input type="text" class="form-control col-lg-2" id="new_task_delay" value="0" name="new_task_delay" title="Delay within repetitions (between one and the other)" disabled="disabled">
                                    </div>
                                    <div id="custom_task_definition" style="display: none">
                                        <h4>Custom:</h4>
                                        <div class="form-group row">
                                            <label class="col-form-label offset-lg-1 col-lg-2">Type</label>
                                            <label class="col-form-label col-lg-8 text-center">Parameters</label>
                                        </div>
                                        <div class="form-group row">
                                            <button type="button" class="btn btn-default offset-lg-10 col-lg-1" id="new_task_custom_add_step" value="0">+</button>
                                        </div>
                                    </div>
                                    <div id="pick_and_place_task_definition" style="display: none">
                                        <h4>Pick & Place:</h4>
                                        <div class="form-group row">
                                            <label class="col-form-label text-center offset-lg-1 col-lg-2">Pick-Approach</label>
                                            <label class="col-form-label text-center col-lg-2">Pick</label>
                                            <label class="col-form-label text-center col-lg-2">Place-Approach</label>
                                            <label class="col-form-label text-center col-lg-2">Place</label>
                                        </div>
                                        <div class="form-group row">
                                            <button type="button" class="btn btn-default offset-lg-9 col-lg-1" id="new_task_pnp_add_points">+</button>
                                        </div>
                                    </div>
                                    <div id="do_nothing_task_definition">
                                    </div>
                                    <button type="submit" class="btn btn-default">Submit</button>
                                    <button type="reset" class="btn btn-default">Reset</button>
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Modal -->
            </div>
        </div>
    </body>
</html>
